const PrintServer = require('./print-server');

async function main() {
	const printServer = new PrintServer();
	await printServer.start();

	process.on('SIGINT', async function() {
		console.log(`\nBye ( ◕ ‿ ◕ )っ`);
		try {
			await printServer.stop();
		} catch (err) {
			console.error(err);
		}
		process.exit();
	});
}
main();